Update Project

Prev Next
Put
/api/v1/Authoring/projects/{id}

Updates an existing project

Path parameters
id
integer (int32) Required

Id of the project being updated

Body parameters

Information about the project being updated

Expand All
object
name
string

The project name

description
string | null

The project description

dataSourceIds
Array of integer

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission)

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
roleSet
string

The name of a predefined role set

roles
Array of string | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Expand All
object
name
string

The project name

description
string | null

The project description

dataSourceIds
Array of integer

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission)

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
roleSet
string

The name of a predefined role set

roles
Array of string | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Expand All
object
name
string

The project name

description
string | null

The project description

dataSourceIds
Array of integer

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission)

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
roleSet
string

The name of a predefined role set

roles
Array of string | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Expand All
object
name
string

The project name

description
string | null

The project description

dataSourceIds
Array of integer

List of data source IDs that can be used within the project

integer (int32)
permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission)

List of permissions to add to the project

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
roleSet
string

The name of a predefined role set

roles
Array of string | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object

List of custom fields to add to the project

property*
isCertified
boolean

Whether custom field values are flagged as certified

Responses
200

OK

object
id
integer (int32)

The project ID

name
string

The project name

400

Bad Request

object
errors
Array of string
string
403

Forbidden